Bug 969642 - mate-terminal does not show TrueType fonts properly.
mate-terminal does not show TrueType fonts properly.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 05:29 EDT by Álvaro Castillo
Modified: 2013-08-18 04:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 04:09:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mate-terminal, term (908.42 KB, image/png)
2013-06-01 05:29 EDT, Álvaro Castillo
no flags Details
droid serif works (133.60 KB, image/png)
2013-06-05 04:56 EDT, Dan Mashal
no flags Details
Droid Serif (182.95 KB, image/png)
2013-06-05 14:36 EDT, Álvaro Castillo
no flags Details

  None (edit)
Description Álvaro Castillo 2013-06-01 05:29:47 EDT
Created attachment 755508 [details]
mate-terminal, term

Description of problem:
mate-terminal cannot display TrueType fonts correctly.

Version-Release number of selected component (if applicable):
mate-terminal-1.6.1-5.fc19.x86_64

Steps to Reproduce:
1. Go to Edit -> Profiles 
2. Click Edit on default profile you are using.
3. On General tab, select for example: Droid Sans, apply that.
4. You will see font as .png image attached on this bug report.

Additional info:

Compare xterm as displayed with Droid Sans 9 with mate-terminal.
Comment 1 Dan Mashal 2013-06-05 04:56:55 EDT
Created attachment 757080 [details]
droid serif works
Comment 2 Dan Mashal 2013-06-05 04:57:26 EDT
 yum install google-droid-serif-fonts -> eidt profile prefrences double click droid serif -> font changes.
Comment 3 Álvaro Castillo 2013-06-05 13:52:05 EDT
Does not work. Character spaces does not work properly. And these is another font that doesn't show good spaces.

Please see lastest picture was added on this report.
Comment 4 Álvaro Castillo 2013-06-05 14:36:51 EDT
Created attachment 757339 [details]
Droid Serif
Comment 5 Wolfgang Ulbrich 2013-07-08 10:19:36 EDT
I suggest to un-check use theme fonts in profiles and use the default monospace fonts.
Does this help?
Comment 6 Wolfgang Ulbrich 2013-08-03 20:25:30 EDT
A general solution to get a better font rendering for the MATE desktop is to set 'hinting' to slight.
gsettings set org.mate.font-rendering hinting slight
Comment 7 Wolfgang Ulbrich 2013-08-09 19:12:39 EDT
https://admin.fedoraproject.org/updates/FEDORA-2013-14497/mate-desktop-1.6.1-11.fc19?_csrf_token=d26145beb383268163bb4bbe7f1e360e8dfad8cc
mate-desktop-1.6.1-11.fc19 comes with better general font rendering setting, this should fix your issue. Pls test and leave karma.

Note You need to log in before you can comment on or make changes to this bug.